"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const configPath = path_1.default.resolve(process.cwd(), "config.json");
if (!fs_1.default.existsSync(configPath)) {
    console.log("Unable to locate config.json\nWriting new configuration file...");
    fs_1.default.writeFileSync(configPath, JSON.stringify({
        local: {
            host: "localhost",
            port: 13337,
        },
        remote: "wss://mudjs.net:13337",
    }, null, 4));
}
const configData = fs_1.default.readFileSync(configPath, { encoding: "utf-8" });
const configObj = JSON.parse(configData);
let localHost = "localhost";
let localPort = 13337;
let remoteURI = "wss://mudjs.net:13337";
if (configObj.local !== undefined) {
    if (configObj.local.host !== undefined && typeof configObj.local.host === "string")
        localHost = configObj.local.host;
    if (configObj.local.port !== undefined &&
        typeof configObj.local.port === "number" &&
        !isNaN(configObj.local.port) &&
        configObj.local.port > 0 &&
        configObj.local.port <= 65535)
        localPort = configObj.local.port;
}
if (configObj.remote !== undefined && typeof configObj.remote === "string") {
    remoteURI = configObj.remote;
}
const config = {
    local: {
        host: localHost,
        port: localPort,
    },
    remote: remoteURI,
};
console.log("Configuration loaded.");
module.exports = config;
